All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.support.olaptableview
Class BaseOLAPTableViewSupport

    com.sas.actionprovider.support.olaptableview.BaseOLAPTableViewSupport

All Implemented Interfaces:
  OLAPActionTypeKeysInterface, OLAPTableViewAreaInterface

Direct Known Subclasses:
  HttpOLAPTableViewSupport, SwingOLAPTableViewSupport

    public abstract class BaseOLAPTableViewSupport

implements OLAPTableViewAreaInterface, OLAPActionTypeKeysInterface

In the context of the ActionProvider framework, this Support class assists in the registering and retrieval of actions for OLAP viewer components such as the OLAPTableView.

Since:
  3.0

Field Summary
`static java.lang.String` | `RB_KEY`

Fields inherited from class com.sas.actionprovider.support.BaseActionProviderSupport
`AREA_DISABLED, AREA_VALUE_ATTRKEY, DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED, NON_SPECIFIC_AREA, UNSUPPORTED, VIEWER_DISABLED`

Fields inherited from interface com.sas.actionprovider.support.olaptableview.OLAPTableViewAreaInterface
`COLUMN_HEADER_AREA, COLUMN_TITLE_AREA, DATA_CELL_AREA, ROW_HEADER_AREA, ROW_TITLE_AREA, TITLE_AREA`

Fields inherited from interface com.sas.actionprovider.support.olaptableview.OLAPActionTypeKeysInterface
`ASCENDING_SORT_ACTION, CALCULATE_NEW_MEASURE_SELECTOR_ACTION, CELL_VALUE_ASCENDING_SORT_ACTION, CELL_VALUE_DESCENDING_SORT_ACTION, CLEAR_CELL_VALUE_SORT_ACTION, CLEAR_LEVEL_LABEL_SORT_ACTION, CLEAR_SORT_ACTION, COLLAPSE_ACTION, COLLAPSE_ALL_ACTION, DESCENDING_SORT_ACTION, DRILL_DOWN_ACTION, DRILL_UP_ACTION, EXPAND_ACTION, EXPAND_ALL_ACTION, FAR_SELECTOR_ACTION, FILTER_SELECTOR_ACTION, FORMAT_SELECTOR_ACTION, ISOLATE_MEMBER_ACTION, LEVEL_LABEL_ASCENDING_SORT_ACTION, LEVEL_LABEL_DESCENDING_SORT_ACTION, MOVE_ACTION, MOVE_IN_ACTION, MOVE_MEASURE_IN_ACTION, MOVE_MEASURE_OUT_ACTION, MOVE_OUT_ACTION, PERCENT_CALCULATIONS_SELECTOR_ACTION, QUERY_SELECTOR_ACTION, RANKING_SELECTOR_ACTION, RESTRICTED_FILTER_SELECTOR_ACTION, ROTATE_ACTION, SHOW_DETAIL_ACTION, SHOW_DETAIL_DATA_SELECTOR_ACTION, SORT_SELECTOR_ACTION, TOTALS_SELECTOR_ACTION`

Constructor Summary
`BaseOLAPTableViewSupport(java.lang.Class actionClass)` Constructor

Method Summary
`protected BaseAction` | `createAndRegisterAction(java.lang.String areaType, java.lang.String actionType)`
`protected void` | `createDefaultActions()` Initializes the actionClass property and creates the default actions that this class supports.
`protected abstract ActionOrderList` | `getDataCellOrderList(int type)`
`protected abstract ActionOrderList` | `getHeaderOrderList(int type)`
`protected abstract ActionOrderList` | `getTitleOrderList(int type)`
`void` | `initialize()` Initializes the support class.
`protected void` | `registerDataCellActions(java.lang.String areaType)`
`protected void` | `registerDynamicValueInfo()` Registers, via addDynamicValueInfo method, the dynamic value information for different areas.
`protected void` | `registerHeaderActions(java.lang.String areaType)`
`protected void` | `registerTitleActions(java.lang.String areaType)`

Methods inherited from class com.sas.actionprovider.support.BaseActionProviderSupport
`addDefaultAction, getAction, getActionId, getActionOrderList, getActionProvider, getActions, getActionScopeAttribute, getActionScopeAttributeMap, getDefaultAction, getLocale, listActionTypes, listAreaTypes, listDefaultActions, newActionInstance, reset, setAction, setActionOrderList, setActionProvider, setLocale`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

Constructor Detail

### BaseOLAPTableViewSupport

    public BaseOLAPTableViewSupport(java.lang.Class actionClass)

  Constructor

  Parameters:
    `actionClass` - The class used to instantiate new actions.

Method Detail

### registerDynamicValueInfo

    protected void registerDynamicValueInfo()

  Registers, via addDynamicValueInfo method, the dynamic value information for different areas.

### initialize

    public void initialize()

  Description copied from class: `BaseActionProviderSupport`
  Initializes the support class.

  Called by the ActionProvider after it sets the locale on this support class.

  Specified by:
    `initialize` in class `BaseActionProviderSupport`
  See Also:
    `BaseActionProviderSupport.setLocale(java.util.Locale)`

### createDefaultActions

    protected void createDefaultActions()

  Initializes the actionClass property and creates the default actions that this class supports. This method is called by the action provider that instantiates this support class.

### registerHeaderActions

    protected void registerHeaderActions(java.lang.String areaType)

### registerTitleActions

    protected void registerTitleActions(java.lang.String areaType)

### registerDataCellActions

    protected void registerDataCellActions(java.lang.String areaType)

### createAndRegisterAction

    protected BaseAction createAndRegisterAction(java.lang.String areaType,
                                                 java.lang.String actionType)

### getHeaderOrderList

    protected abstract ActionOrderList getHeaderOrderList(int type)

### getTitleOrderList

    protected abstract ActionOrderList getTitleOrderList(int type)

### getDataCellOrderList

    protected abstract ActionOrderList getDataCellOrderList(int type)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.